Subject: Re: bug#9463: 24.0.50; Errors should not be continuable

From: Stefan Monnier <[email-masked]>
Date: Tue, 20 Sep 2011 17:53:04 -0400

>>> Incidentally, C-M-c does pretty much the same as what c does currently.
>> It does something similar but not identical and hence re-introduces some
>> of the problems that the change you don't like aimed to solve.
> And what exactly is the difference between C-M-c and c?

C-M-c does a (throw 'exit), so in the case where we've caught a signal,
it prevents the condition-case catchers from doing their job.

>> It's important to have a "c" that can "keep going (as much as possible)
>> as if nothing happened".
> And why was this not important in previous releases?

That's not a very constructive line of argument, I'm afraid.

        Stefan